# Mounting new volumes

1. ssh to storagebox

```
ssh -p23 u382808@u382808.your-storagebox.de
```

2. Create a new directory

```
mkdir photoprism_import_data
```

3. Navigate to [Hetzner cloud storage](https://robot.hetzner.com/storage). Create a new sub-account. Allow Samba, SSH, external reachability.

4. ssh to server

5. Create new credentials in `/etc/secure_config`:

```
username=(storagebox username)
password=(storagebox password)
```

6. Make mount directory

```
sudo mkdir /mnt/photoprism_import_data
```

6. Update /etc/fstab

```
//u382808-sub3.your-storagebox.de/u382808-sub3 /mnt/photoprism_import_data cifs seal,vers=3,iocharset=utf8,rw,credentials=/etc/secure_config/.cifs-credentials-photoprism-import.txt,uid=1000,gid=1001,forceuid,forcegid,file_mode=0770,dir_mode=0770 0 0
```

7. Mount

```
mount -a
```

8. Verify that the storage box is mounted correctly:

```
df -h
```
