# restic

## Future improvements
- Set up with Docker secrets
- Add notification

## Useful commands

Restoring files on a host where the container is already running via Docker Compose:

```
# Find the latest snapshot for the current host (note the ID)
docker-compose exec app restic snapshots -H <HOSTNAME>
# Restore the given file on the host
docker-compose exec app restic restore --include /path/to/file <ID>
```

List snapshots
```
docker compose run --rm backup snapshots
```

View files uploaded in Backblaze

- In local, download via `brew install b2-tools`
- In server

## Known issues
```
Fatal: config or key 2327d55bb96f4cab846b07cc8ffe5906c88c3e657f326a506ccfcf95cd8fd1e7 is damaged: ciphertext verification failed
```

[Related issue](https://github.com/djmaze/resticker/issues/48)

Do not run both prune and backup at the same time. When initializing, need to run individually.

```
docker compose up -d backup
```

```
docker compose up -d prune
```

```
docker compose up -d check
```